org.eclipse.jetty.util

## Interface Attributes

All Known Implementing Classes:
  AttributesMap, ContextHandler, HttpClient, MovedContextHandler, Server, ServletContextHandler, WebAppContext

    public interface Attributes

Attributes. Interface commonly used for storing attributes.

### Method Summary

Methods
`void` `clearAttributes()`
`Object` `getAttribute(String name)`
`Enumeration<String>` `getAttributeNames()`
`void` `removeAttribute(String name)`
`void` `setAttribute(String name, Object attribute)`

### Method Detail

#### removeAttribute

    void removeAttribute(String name)

#### setAttribute

    void setAttribute(String name,
                    Object attribute)

#### getAttribute

    Object getAttribute(String name)

#### getAttributeNames

    Enumeration<String> getAttributeNames()

#### clearAttributes

    void clearAttributes()